/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { UpdateTableInput } from '../types/UpdateTableInput';
import { UpdateTableOutput } from '../types/UpdateTableOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/UpdateTableInput';
export * from '../types/UpdateTableOutput';
export * from '../types/UpdateTableExceptionsUnion';
export declare class UpdateTableCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateTableInput, OutputTypesUnion, UpdateTableOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateTableInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateTableInput, UpdateTableOutput, _stream.Readable>;
    constructor(input: UpdateTableInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<UpdateTableInput, UpdateTableOutput>;
}
