/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { DeleteBackupInput } from '../types/DeleteBackupInput';
import { DeleteBackupOutput } from '../types/DeleteBackupOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/DeleteBackupInput';
export * from '../types/DeleteBackupOutput';
export * from '../types/DeleteBackupExceptionsUnion';
export declare class DeleteBackupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteBackupInput, OutputTypesUnion, DeleteBackupOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteBackupInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteBackupInput, DeleteBackupOutput, _stream.Readable>;
    constructor(input: DeleteBackupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DeleteBackupInput, DeleteBackupOutput>;
}
