/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { DescribeGlobalTableSettingsInput } from '../types/DescribeGlobalTableSettingsInput';
import { DescribeGlobalTableSettingsOutput } from '../types/DescribeGlobalTableSettingsOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/DescribeGlobalTableSettingsInput';
export * from '../types/DescribeGlobalTableSettingsOutput';
export * from '../types/DescribeGlobalTableSettingsExceptionsUnion';
export declare class DescribeGlobalTableSettingsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeGlobalTableSettingsInput, OutputTypesUnion, DescribeGlobalTableSettingsOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeGlobalTableSettingsInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeGlobalTableSettingsInput, DescribeGlobalTableSettingsOutput, _stream.Readable>;
    constructor(input: DescribeGlobalTableSettingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeGlobalTableSettingsInput, DescribeGlobalTableSettingsOutput>;
}
