/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { DescribeLimitsInput } from '../types/DescribeLimitsInput';
import { DescribeLimitsOutput } from '../types/DescribeLimitsOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/DescribeLimitsInput';
export * from '../types/DescribeLimitsOutput';
export * from '../types/DescribeLimitsExceptionsUnion';
export declare class DescribeLimitsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLimitsInput, OutputTypesUnion, DescribeLimitsOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLimitsInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLimitsInput, DescribeLimitsOutput, _stream.Readable>;
    constructor(input: DescribeLimitsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeLimitsInput, DescribeLimitsOutput>;
}
