/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { ListBackupsInput } from '../types/ListBackupsInput';
import { ListBackupsOutput } from '../types/ListBackupsOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/ListBackupsInput';
export * from '../types/ListBackupsOutput';
export * from '../types/ListBackupsExceptionsUnion';
export declare class ListBackupsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListBackupsInput, OutputTypesUnion, ListBackupsOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: ListBackupsInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListBackupsInput, ListBackupsOutput, _stream.Readable>;
    constructor(input: ListBackupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<ListBackupsInput, ListBackupsOutput>;
}
