/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { UpdateGlobalTableInput } from '../types/UpdateGlobalTableInput';
import { UpdateGlobalTableOutput } from '../types/UpdateGlobalTableOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/UpdateGlobalTableInput';
export * from '../types/UpdateGlobalTableOutput';
export * from '../types/UpdateGlobalTableExceptionsUnion';
export declare class UpdateGlobalTableCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateGlobalTableInput, OutputTypesUnion, UpdateGlobalTableOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateGlobalTableInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateGlobalTableInput, UpdateGlobalTableOutput, _stream.Readable>;
    constructor(input: UpdateGlobalTableInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<UpdateGlobalTableInput, UpdateGlobalTableOutput>;
}
