/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { UpdateGlobalTableSettingsInput } from '../types/UpdateGlobalTableSettingsInput';
import { UpdateGlobalTableSettingsOutput } from '../types/UpdateGlobalTableSettingsOutput';
import { DynamoDBResolvedConfiguration } from '../DynamoDBConfiguration';
export * from '../types/UpdateGlobalTableSettingsInput';
export * from '../types/UpdateGlobalTableSettingsOutput';
export * from '../types/UpdateGlobalTableSettingsExceptionsUnion';
export declare class UpdateGlobalTableSettingsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateGlobalTableSettingsInput, OutputTypesUnion, UpdateGlobalTableSettingsOutput, DynamoDBResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateGlobalTableSettingsInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateGlobalTableSettingsInput, UpdateGlobalTableSettingsOutput, _stream.Readable>;
    constructor(input: UpdateGlobalTableSettingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<UpdateGlobalTableSettingsInput, UpdateGlobalTableSettingsOutput>;
}
